<?php

/*------------------------------------------------------------------------
# com_invoices - Invoices for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 JoomlaInvoices.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.JoomlaInvoices.com
# Technical Support:	Forum - http://www.JoomlaFinances.com/forum
-------------------------------------------------------------------------*/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgInvoicesPayment_offline extends JPlugin {

	
	var $_payment_type = 'payment_offline';
	
	
	function plgInvoicesPayment_offline(& $subject, $config) {
		parent::__construct($subject, $config);
		$this->loadLanguage( '', JPATH_ADMINISTRATOR );
	}
	
	function onRenderPaymentOptions( $row, $user )
	{
		/*
		 * get all necessary data and prepare vars for assigning to the template
		 */ 
		
		$vars = new JObject();
		
		$vars->description = $this->params->get( 'description' );
			
		$html = $this->_getLayout('form', $vars);

		$text = array();
		$text[] = $html;
		$text[] = $this->params->get( 'title', 'Bank transfer' );

		return $text;
	}
	
	function _getLayout($layout, $vars = false, $plugin = '', $group = 'invoices')
	{
		if ( ! $plugin) {
			$plugin = $this->_payment_type;
		}
		
		ob_start();
        $layout = $this->_getLayoutPath( $plugin, $group, $layout ); 
        include($layout);
        $html = ob_get_contents(); 
        ob_end_clean();
		
		return $html;
	}
	
	function _getLayoutPath($plugin, $group, $layout = 'default')
    {
        $app = JFactory::getApplication();

        // get the template and default paths for the layout
        $templatePath = JPATH_BASE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'plugins'.DS.$group.DS.$plugin.DS.$plugin.DS.$layout.'.php';
        $defaultPath = JPATH_BASE.DS.'plugins'.DS.$group.DS.$plugin.DS.$plugin.DS.'tmpl'.DS.$layout.'.php';

        // if the site template has a layout override, use it
        jimport('joomla.filesystem.file');
        if (JFile::exists( $templatePath )) 
        {
            return $templatePath;
        } 
        else 
        {
            return $defaultPath;
        }
    }
	
	
}
